com.qihoo.livecloud.sdk

## Class QHVCSdkConfig.Builder

- java.lang.Object
- - com.qihoo.livecloud.sdk.QHVCSdkConfig.Builder

- Enclosing class:
    QHVCSdkConfig

      public static class QHVCSdkConfig.Builder
      extends java.lang.Object

  SDK配置构造器

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Builder(Context context)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `QHVCSdkConfig` | `build()` 创建SDK配置
    `QHVCSdkConfig.Builder` | `setAppId(java.lang.String appId)` 设置应用Id
    `QHVCSdkConfig.Builder` | `setAppVersion(java.lang.String appVersion)` 设置APP版本号
    `QHVCSdkConfig.Builder` | `setCrashReportEnable(boolean enable)` Deprecated.
    `QHVCSdkConfig.Builder` | `setDebugUtils(DebugUtils debugUtils)` 设置日志配置
    `QHVCSdkConfig.Builder` | `setMachineId(java.lang.String machineId)` 设置设备唯一识别码，非必须
    `QHVCSdkConfig.Builder` | `setNetworkType(java.lang.String networkType)` 设置网络类型，非必须
    `QHVCSdkConfig.Builder` | `setOptions(java.util.Map<java.lang.String,java.lang.Object> options)` 设置附加参数 key: `QHVCSdkConfig.QhvcCommonOptionKey`
    `QHVCSdkConfig.Builder` | `setPluginInstallDir(java.lang.String pluginInstallDir)` 设置插件化SO文件下载路径，需确保有可读、可执行权限
    `QHVCSdkConfig.Builder` | `setServerAddress(QHVCServerAddress serverAddress)` 设置SDK服务器地址，非必须
    `QHVCSdkConfig.Builder` | `setSystemVersion(java.lang.String systemVersion)` 设置Android系统版本号，非必须
    `QHVCSdkConfig.Builder` | `setUserId(java.lang.String userId)` 设置用户唯一标识，非必须

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Builder

          public Builder(Context context)

  - ### Method Detail

    - #### setAppId

          public QHVCSdkConfig.Builder setAppId(java.lang.String appId)

      设置应用Id
      Parameters:
        `appId` - 应用ID

    - #### setServerAddress

          public QHVCSdkConfig.Builder setServerAddress(QHVCServerAddress serverAddress)

      设置SDK服务器地址，非必须
      Parameters:
        `serverAddress` - SDK服务器地址

    - #### setAppVersion

          public QHVCSdkConfig.Builder setAppVersion(java.lang.String appVersion)

      设置APP版本号
      Parameters:
        `appVersion` - APP版本号

    - #### setMachineId

          public QHVCSdkConfig.Builder setMachineId(java.lang.String machineId)

      设置设备唯一识别码，非必须
      Parameters:
        `machineId` - 设备唯一识别码

    - #### setSystemVersion

          public QHVCSdkConfig.Builder setSystemVersion(java.lang.String systemVersion)

      设置Android系统版本号，非必须
      Parameters:
        `systemVersion` - Android系统版本号

    - #### setNetworkType

          public QHVCSdkConfig.Builder setNetworkType(java.lang.String networkType)

      设置网络类型，非必须
      Parameters:
        `networkType` - 网络类型

    - #### setUserId

          public QHVCSdkConfig.Builder setUserId(java.lang.String userId)

      设置用户唯一标识，非必须
      Parameters:
        `userId` - 用户唯一标识

    - #### setCrashReportEnable

          @Deprecated
          public QHVCSdkConfig.Builder setCrashReportEnable(boolean enable)

      Deprecated.
      开启或关闭崩溃收集功能，默认开启
      Parameters:
        `enable` - true 开启；false 关闭

    - #### setPluginInstallDir

          public QHVCSdkConfig.Builder setPluginInstallDir(java.lang.String pluginInstallDir)

      设置插件化SO文件下载路径，需确保有可读、可执行权限
      Parameters:
        `pluginInstallDir` - 插件化SO文件下载路径，需确保有可读、可执行权限

    - #### setDebugUtils

          public QHVCSdkConfig.Builder setDebugUtils(DebugUtils debugUtils)

      设置日志配置
      Parameters:
        `debugUtils` - 日志配置

    - #### setOptions

          public QHVCSdkConfig.Builder setOptions(java.util.Map<java.lang.String,java.lang.Object> options)

      设置附加参数 key: `QHVCSdkConfig.QhvcCommonOptionKey`

    - #### build

          public QHVCSdkConfig build()

      创建SDK配置
      Returns:
        SDK配置